package state51::Odoo::StockManagement::Constants;
use strictures;

# For Platform --> Odoo stock reconcialitions
use constant {
    ODOO_WAREHOUSE_INVENTORY_ADJUSTMENT_TABLE                 => 'stock.quant',
    ODOO_WAREHOUSE_LOCATION_GREEDBAG                          => 685,
    ODOO_WAREHOUSE_LOCATION_VIRTUAL_S51_INVENTORY_ADJUSTMENTS => 76,
    ODOO_WAREHOUSE_PRODUCT_TABLE                    => 'product.product',
    ODOO_WAREHOUSE_STOCK_MOVE_TABLE                 => 'stock.move',
    ODOO_WAREHOUSE_STOCK_MOVE_STOCK_QUANT_IDS_FIELD => 'stock_quant_ids',
    ODOO_WAREHOUSE_TEST_PRODUCT_ID                  => 4337,
};

use Exporter::Easy (
    OK => [
        qw/
            ODOO_WAREHOUSE_INVENTORY_ADJUSTMENT_TABLE
            ODOO_WAREHOUSE_LOCATION_GREEDBAG
            ODOO_WAREHOUSE_LOCATION_VIRTUAL_S51_INVENTORY_ADJUSTMENTS
            ODOO_WAREHOUSE_PRODUCT_TABLE
            ODOO_WAREHOUSE_STOCK_MOVE_TABLE
            ODOO_WAREHOUSE_STOCK_MOVE_STOCK_QUANT_IDS_FIELD
            ODOO_WAREHOUSE_TEST_PRODUCT_ID
        /
    ]
);

1;
